Aioli: Non-blocking Web API Framework
=== 

[![image](https://img.shields.io/github/license/aioli-framework/aioli.svg?style=flat-square)](https://raw.githubusercontent.com/aioli-framework/aioli/master/LICENSE)
[![image](https://img.shields.io/pypi/v/aioli.svg?style=flat-square)](https://pypi.org/project/aioli)
[![image](https://img.shields.io/travis/aioli-framework/aioli.svg?style=flat-square)](https://travis-ci.org/aioli-framework/aioli)
[![image](https://img.shields.io/pypi/pyversions/aioli.svg?style=flat-square)](https://pypi.org/project/aioli/)



Aioli is a Framework for building RESTful HTTP and WebSocket APIs.
Its easy-to-use component system, which was built with emphasis on portability and composability, offers a sensible separation of application logic, data access and request/response layers.

Furthermore, it makes use of asyncio, is lightweight, and provides high performance and concurrency–especially for IO-bound workloads.

Note that Aioli only works with modern versions of Python (3.6+) and is *Event loop driven*, i.e. code must be [asynchronous](https://docs.python.org/3/library/asyncio.html).


Documentation
---

The documentation is available at [https://docs.aioli.dev](https://docs.aioli.dev). 


Packages
---

Shortly, the https://pkgs.aioli.dev website will show useful info about first and verified third-party Packages; trust status, install instructions, author and license data, as well as links to source code and more.

Currently, first-party extension-type Packages can be found at [github.com/aioli-framework](https://github.com/aioli-framework).


Project status
---

Aioli is in development; expect some breakage, as well as lacking documentation and tests.


Author
---
Robert Wikman \<aioli-framework@vault13.org\>
